# Function createInitializeInstruction

- createInitializeInstruction(connection, wormholeProgramId, payer, guardianSetExpirationTime, fee, initialGuardians): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### guardianSetExpirationTime: number

  - ##### fee: bigint

  - ##### initialGuardians: Buffer[]

  #### Returns TransactionInstruction

  - Defined in utils/instructions/initialize.ts:18

Generated using TypeDoc